Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem

From: Orkun BALCI <[email-masked]>
Date: Thu, 28 Jan 2016 00:26:55 +0200

Thank you Mihai,

In the code and in the error it exactly seeks for x2goclient_tr_tr (or
x2goclient_tr_TR depending on version) file. However, when I read the link
you sent, I got that there can be another wrong character in the name. In
this link it says x2goclient.tr_TR or x2goclient.tr are the correct front
names of it. So, there can be an underscore or dot character problem.

Well, I have forked the code to my github repository today, and I will have
a look at it when I find some free time. So, I will inform you back about
the further work.

Best Regards,
Orkun BALCI

On Wed, Jan 27, 2016 at 4:44 PM, Mihai Moldovan <[email-masked]> wrote:

> On 27.01.2016 09:03 AM, Orkun BALCI wrote:
> > Package: x2goclient (Debian) Version: 4.0.5.0-1
> >
> > In Qt Resources, translation files (.ts) filenames ends with a
> > preceeding underscore and two character (like _tr, _en, etc.)
> > However, locale names are in the form tr_TR or en_US. Because
> > x2goclient reads from :/i18n/[filename] Qt Resource file, it cannot
> > find a file named x2goclient_tr_TR, x2goclient_en_US, qt_tr_TR, or
> > qt_en_US. .ts file names should be changed from trailing two
> > character to four character full locale name.
>
> I disagree, let me explain why.
>
> We're using QTranslator::load(), which, according to the documentation,
> should try to load stripped file names, too, c.f.:
> https://doc.qt.io/qt-4.8/qtranslator.html#load
>
> The important part is the fallback list for fr_ca. Eventually, it should
> be able to load :/i18n/x2goclient_tr.qm (and thus also :/i18n/qt_tr.qm.)
>
> Are you seeing different, wrong behavior?
>
>
>
> Mihai
>
>